Page MenuHomeFreeBSD

Add port for falkon (the rebranded qupzilla browser)
ClosedPublic

Authored by tcberner on Jan 14 2018, 12:33 PM.

Details

Summary
  • Adds the new port
  • Adds conflicts to www/qupzilla*

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Jan 14 2018, 12:33 PM
mat added a comment.Jan 15 2018, 2:40 PM

As a side note, CONFLICTS line can should reference PKGBASE when using a wildcard to mean all versions, so, something like: ${PORTNAME}-qt4 falkon (there is no other package named falkon anyway.)

tcberner updated this revision to Diff 37973.Jan 15 2018, 4:21 PM

Simplify CONFLICTS.

adridg added a subscriber: adridg.Feb 8 2018, 2:54 PM
adridg added inline comments.
www/falkon/pkg-descr
14 ↗(On Diff #37973)

It was a QtWebEnging browser on line 3. Seems the PR blurb needs a bit of work (possibly upstream).

21 ↗(On Diff #37973)

Is there no KDE.org home for it? KDE prefers to use GH only as the online mirror, not as a place to actually send people.

tcberner updated this revision to Diff 39113.Feb 9 2018, 9:16 PM
  • Update to today's commit
  • shorten pkg-descr

I'll update this one for 3.0 released via KDE infrastructure.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 5 2018, 11:25 AM
This revision was automatically updated to reflect the committed changes.